uriparser 0.8.2

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
UriPathSegmentStructA Struct Reference

`#include <Uri.h>`

## Data Fields
UriTextRangeA | text
struct UriPathSegmentStructA * | next
void * | reserved

## Detailed Description

Represents a path segment within a URI path. More precisely it is a node in a linked list of path segments.

See also
  UriUriA

Since
  0.3.0

## Field Documentation

struct UriPathSegmentStructA* next

Pointer to the next path segment in the list, can be NULL if last already

void* reserved

Reserved to the parser

UriTextRangeA text

Path segment name

The documentation for this struct was generated from the following file:

- Uri.h